Bug 1123644 - [abrt] yum: fpHashFunction(): python2.7 killed by SIGSEGV
Summary: [abrt] yum: fpHashFunction(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 19
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c3d854fa5f5cce755eb2552cce3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 14:12 UTC by JNoake
Modified: 2015-02-18 11:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:47:31 UTC


Attachments (Terms of Use)
File: backtrace (27.64 KB, text/plain)
2014-07-27 14:12 UTC, JNoake
no flags Details
File: cgroup (141 bytes, text/plain)
2014-07-27 14:12 UTC, JNoake
no flags Details
File: core_backtrace (8.13 KB, text/plain)
2014-07-27 14:12 UTC, JNoake
no flags Details
File: dso_list (10.44 KB, text/plain)
2014-07-27 14:12 UTC, JNoake
no flags Details
File: environ (2.01 KB, text/plain)
2014-07-27 14:12 UTC, JNoake
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-27 14:12 UTC, JNoake
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-27 14:12 UTC, JNoake
no flags Details
File: maps (28.00 KB, text/plain)
2014-07-27 14:12 UTC, JNoake
no flags Details
File: open_fds (2.07 KB, text/plain)
2014-07-27 14:12 UTC, JNoake
no flags Details
File: proc_pid_status (761 bytes, text/plain)
2014-07-27 14:12 UTC, JNoake
no flags Details
File: var_log_messages (495 bytes, text/plain)
2014-07-27 14:12 UTC, JNoake
no flags Details

Description JNoake 2014-07-27 14:12:33 UTC
Description of problem:
yum update - can update all other packages except for vlc-core.
Cannot yum update/reinstall/remove vlc-core crashes every time.
Segfault (core dumped)
rpm -e gives same problem (segfault)
vlc-core-2.0.8-2.fc19.i686

Version-Release number of selected component:
yum-3.4.3-137.fc19

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/python /bin/yum update
crash_function: fpHashFunction
executable:     /usr/bin/python2.7
kernel:         3.14.13-100.fc19.i686.PAE
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fpHashFunction at fprint.c:262
 #1 rpmFpHashGetEntry at ../lib/rpmhash.C:257
 #2 fpCacheGetByFp at fprint.c:461
 #3 checkInstalledFiles at transaction.c:1052
 #4 rpmtsPrepare at transaction.c:1349
 #5 rpmtsRun at transaction.c:1477
 #6 rpmts_Run at rpmts-py.c:557
 #7 PyCFunction_Call at /usr/src/debug/Python-2.7.5/Objects/methodobject.c:85
 #8 PyObject_Call at /usr/src/debug/Python-2.7.5/Objects/abstract.c:2529
 #9 PyEval_CallObjectWithKeywords at /usr/src/debug/Python-2.7.5/Python/ceval.c:3967

Comment 1 JNoake 2014-07-27 14:12:37 UTC
Created attachment 921476 [details]
File: backtrace

Comment 2 JNoake 2014-07-27 14:12:38 UTC
Created attachment 921477 [details]
File: cgroup

Comment 3 JNoake 2014-07-27 14:12:40 UTC
Created attachment 921478 [details]
File: core_backtrace

Comment 4 JNoake 2014-07-27 14:12:41 UTC
Created attachment 921479 [details]
File: dso_list

Comment 5 JNoake 2014-07-27 14:12:43 UTC
Created attachment 921480 [details]
File: environ

Comment 6 JNoake 2014-07-27 14:12:44 UTC
Created attachment 921481 [details]
File: exploitable

Comment 7 JNoake 2014-07-27 14:12:45 UTC
Created attachment 921482 [details]
File: limits

Comment 8 JNoake 2014-07-27 14:12:47 UTC
Created attachment 921483 [details]
File: maps

Comment 9 JNoake 2014-07-27 14:12:48 UTC
Created attachment 921484 [details]
File: open_fds

Comment 10 JNoake 2014-07-27 14:12:50 UTC
Created attachment 921485 [details]
File: proc_pid_status

Comment 11 JNoake 2014-07-27 14:12:51 UTC
Created attachment 921486 [details]
File: var_log_messages

Comment 12 Panu Matilainen 2014-08-11 11:39:39 UTC
This is an rpm issue, reassigning.

Comment 13 JNoake 2014-08-11 13:16:45 UTC
Issue solved ny rebuilding rpmdb

Comment 14 Fedora End Of Life 2015-01-09 21:28:01 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-02-18 11:47:31 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.